#!/bin/sh

# Distributions 4 and earlier installed the man page as
# /usr/local/share/man/man1, causing Installer to move any existing man1
# directory to man1 1. This script fixes this by looking for a "man1 1"
# directory and moving it back to man1.

if [ -d "/usr/local/share/man/man1 1" -a -e "/usr/local/share/man/man1" ]; then
    rm -f "/usr/local/share/man/man1"
    mv -f "/usr/local/share/man/man1 1" "/usr/local/share/man/man1"
fi

# The Bazaar 2.1.x installers installed the rebase plugin. However,
# rebase has since been renamed to rewrite and the old rebase plugin
# requires bzrlib 2.1.0. To avoid bzr 2.2 trying to load the old rebase
# plugin, we must remove it.

PYTHON_VERSION=`python -V 2>&1 | cut -c 8-10`

if [ -d "/Library/Python/$PYTHON_VERSION/site-packages/bzrlib/plugins/rebase" ]; then
    rm -rf "/Library/Python/$PYTHON_VERSION/site-packages/bzrlib/plugins/rebase"
fi
